> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Bases

> Retrieves a paginated list of knowledge bases for the authenticated user's current workspace.
The knowledge bases are returned using cursor-based pagination.



## OpenAPI

````yaml GET /api/v1/knowledge-bases
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/knowledge-bases:
    get:
      tags:
        - Knowledge Base
      summary: List Knowledge Bases
      description: >-
        Retrieves a paginated list of knowledge bases for the authenticated
        user's current workspace.

        The knowledge bases are returned using cursor-based pagination.
      operationId: listKnowledgeBases
      parameters:
        - in: query
          name: per_page
          description: >-
            The number of items per page. Must be at least 1. Must not be
            greater than 100.
          example: 25
          required: false
          schema:
            type: integer
            description: >-
              The number of items per page. Must be at least 1. Must not be
              greater than 100.
            example: 25
        - in: query
          name: cursor
          description: >-
            The cursor for pagination. Use the meta.next_cursor or
            meta.previous_cursor from the response.
          example: example
          required: false
          schema:
            type: string
            description: >-
              The cursor for pagination. Use the meta.next_cursor or
              meta.previous_cursor from the response.
            example: example
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 01kqh44erj3ea18g755d9wbr01
                      name: eius et animi
                      created_at: '2026-05-01T06:38:04.000000Z'
                      updated_at: '2026-05-01T06:38:04.000000Z'
                      workspace_id: 01kqh44er249bbjra64d5frez4
                    - id: 01kqh44esqy3py46g1pd3tmc81
                      name: commodi incidunt iure
                      created_at: '2026-05-01T06:38:04.000000Z'
                      updated_at: '2026-05-01T06:38:04.000000Z'
                      workspace_id: 01kqh44esazsr39rfzbr5gh72f
                  meta:
                    per_page: 20
                    next_cursor: null
                    prev_cursor: null
                properties:
                  data:
                    type: array
                    example:
                      - id: 01kqh44erj3ea18g755d9wbr01
                        name: eius et animi
                        created_at: '2026-05-01T06:38:04.000000Z'
                        updated_at: '2026-05-01T06:38:04.000000Z'
                        workspace_id: 01kqh44er249bbjra64d5frez4
                      - id: 01kqh44esqy3py46g1pd3tmc81
                        name: commodi incidunt iure
                        created_at: '2026-05-01T06:38:04.000000Z'
                        updated_at: '2026-05-01T06:38:04.000000Z'
                        workspace_id: 01kqh44esazsr39rfzbr5gh72f
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 01kqh44erj3ea18g755d9wbr01
                        name:
                          type: string
                          example: eius et animi
                        created_at:
                          type: string
                          example: '2026-05-01T06:38:04.000000Z'
                        updated_at:
                          type: string
                          example: '2026-05-01T06:38:04.000000Z'
                        workspace_id:
                          type: string
                          example: 01kqh44er249bbjra64d5frez4
                  meta:
                    type: object
                    properties:
                      per_page:
                        type: integer
                        example: 20
                      next_cursor:
                        type: string
                        example: null
                        nullable: true
                      prev_cursor:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````